#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySailingaTreasureCFGData
{
	//编号
	int mId;
	//VIP等级
	int mType;
	//宝箱资源
	std::string mResources;
	//奖励物品ID
	std::vector<int> mAwardItemID;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
	//特权详情名称
	std::vector<std::string> mPrivilegeName;
	//特权详情资源
	std::vector<std::string> mPrivilegedResources;
};

class M_ActivitySailingaTreasureCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySailingaTreasureCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySailingaTreasureCFGData* GetData(int Id);
	boost::unordered_map<int, M_ActivitySailingaTreasureCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySailingaTreasureCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySailingaTreasureCFGData> mMapData;
};
